Show / Hide Table of Contents

# Interface ISocketAudioChannel

Represents a generic WebSocket-based audio channel.

##### Inherited Members

IAudioChannel.ConnectAsync(Boolean, Boolean, Boolean)
IAudioChannel.DisconnectAsync()
IChannel.Name
IChannel.GetUsersAsync(CacheMode, RequestOptions)
IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public interface ISocketAudioChannel : IAudioChannel, IChannel, ISnowflakeEntity, IEntity<ulong>